<?php
class MTS_Options_heading_text extends MTS_Options {

	public function __construct( $field = [], $value = '', $parent = [] ) {

		parent::__construct( $parent->sections, $parent->args, $parent->extra_tabs );
		$this->parent = $parent;

		$this->field = wp_parse_args( $field, [
			'heading-text' => true,
			'heading-tag'  => true,
		]);
		$this->value = $value;
	}

	public function render() {

		$defaults = [
			'heading' => '',
			'tag'     => 'h3',
		];

		$headings = [
			''    => 'None',
			'div' => 'Div',
			'h1'  => 'H1',
			'h2'  => 'H2',
			'h3'  => 'H3',
			'h4'  => 'H4',
			'h5'  => 'H5',
			'h6'  => 'H6',
		];

		$name = $this->args['opt_name'] . '[' . $this->field['id'] . ']';

		$defaults    = isset( $this->field['std'] ) ? wp_parse_args( $this->field['std'], $defaults ) : $defaults;
		$this->value = wp_parse_args( $this->value, $defaults );

		?>

		<input type="text" id="<?php echo $this->field['id']; ?>" name="<?php echo $name; ?>[heading]" placeholder="<?php esc_html_e( 'Heading', 'real-estate' ); ?>" value="<?php echo $this->value['heading']; ?>" class="heading" />

		<select name="<?php echo $name; ?>[tag]">
			<?php
			foreach ( $headings as $k => $v ) {
				echo '<option value="' . $k . '"' . selected( $this->value['tag'], $k, false ) . '>' . $v . '</option>';
			}
			?>
		</select>

		<?php

		$this->print_description();
	}
}
