<?php
/**
 * Metaboxes
 *
 * @package Books
 */

defined( 'WPINC' ) || exit;

/**
 * Single sections
 */
class Books_Metaboxes extends Books_Base {

	/**
	 * The Construct
	 */
	public function __construct() {
		$this->add_action( 'cmb2_admin_init', 'single_page_metaboxes' );
	}

	/**
	 * Define the metabox configurations for Single product.
	 */
	public function single_page_metaboxes() {

		/**
	 * Initiate the metabox
	 */
		$cmb = new_cmb2_box( [
			'id'           => 'single_gradient_metaboxs',
			'title'        => esc_html__( 'Override Gradient', 'books' ),
			'object_types' => [ 'product' ], // Post type.
			'context'      => 'side',
			'priority'     => 'high',
			'show_names'   => true, // Show field names on the left.
		] );

		$cmb->add_field( [
			'name'        => esc_html__( 'Gradient Top', 'books' ),
			'id'          => 'single_gradient_top',
			'type'        => 'colorpicker',
			'description' => esc_html__( 'Override this gradient setting for slider.', 'books' ),
		] );
		$cmb->add_field( [
			'name'        => esc_html__( 'Gradient Bottom', 'books' ),
			'id'          => 'single_gradient_bottom',
			'type'        => 'colorpicker',
			'description' => esc_html__( 'Override this gradient setting for slider.', 'books' ),
		] );
		$cmb->add_field( [
			'name'        => esc_html__( 'Gradient Angle', 'books' ),
			'id'          => 'single_gradient_deg',
			'type'        => 'text',
			'description' => esc_html__( 'Override this gradient setting to change angle(deg) of gradient for slider.', 'books' ),
			'default'  => '135deg',
		] );

	}

}

/**
 * Init
 */
new Books_Metaboxes();
