<?php
/**
 * Back to top
 *
 * @package Books
 */

$menus['footer']['child']['footer-back-to-top'] = [
	'title' => esc_html__( 'Back to Top', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the back to top button.', 'books' ),
];

// Dependency check that back to top option is enable.
$top_button_dependency = [
	'relation' => 'and',
	[
		'field'      => 'show_top_button',
		'value'      => '1',
		'comparison' => '==',
	],
];

$sections['footer-back-to-top'] = [

	[
		'id'       => 'show_top_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Top Button', 'books' ),
		'sub_desc' => esc_html__( 'Enable or disable back to top button with this option.', 'books' ),
		'std'      => '1',
	],

	[
		'id'         => 'top_button_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Icon Color', 'books' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'books' ),
		'args'       => [ 'opacity' => true ],
		'std'        => '#ffffff',
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_color_hover',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Icon Hover Color', 'books' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'books' ),
		'args'       => [ 'opacity' => true ],
		'std'        => '#ffffff',
		'dependency' => $top_button_dependency,
	],

	[
		'id'         => 'top_button_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Background', 'books' ),
		'sub_desc'   => esc_html__( 'Set background color or gradient from here.', 'books' ),
		'options'    => [
			'color'         => '',        // false to disable, not needed otherwise.
			'image_pattern' => false,     // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => false,     // false to disable, not needed otherwise.
			'repeat'        => false,     // false to disable, array of options to override default ( optional ).
			'attachment'    => false,     // false to disable, array of options to override default ( optional ).
			'position'      => false,     // false to disable, array of options to override default ( optional ).
			'size'          => false,     // false to disable, array of options to override default ( optional ).
			'gradient'      => '',        // false to disable, not needed otherwise.
			'parallax'      => false,     // false to disable, array of options to override default ( optional ).
		],
		'std'        => [
			'color'    => '',
			'use'      => 'gradient',
			'gradient' => [
				'from'      => '#914bbe',
				'to'        => '#ce5ca7',
				'direction' => '135deg',
			],
		],
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_background_hover',
		'type'       => 'background',
		'title'      => esc_html__( 'Background Hover', 'books' ),
		'sub_desc'   => esc_html__( 'Set background hover color or gradient from here.', 'books' ),
		'options'    => [
			'color'         => '',        // false to disable, not needed otherwise.
			'image_pattern' => false,     // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => false,     // false to disable, not needed otherwise.
			'repeat'        => false,     // false to disable, array of options to override default ( optional ).
			'attachment'    => false,     // false to disable, array of options to override default ( optional ).
			'position'      => false,     // false to disable, array of options to override default ( optional ).
			'size'          => false,     // false to disable, array of options to override default ( optional ).
			'gradient'      => '',        // false to disable, not needed otherwise.
			'parallax'      => false,     // false to disable, array of options to override default ( optional ).
		],
		'std'        => [
			'color'    => '',
			'use'      => 'gradient',
			'gradient' => [
				'from'      => '#b67bcb',
				'to'        => '#d383c0',
				'direction' => '135deg',
			],
		],
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_font_size',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Font Size', 'books' ),
		'sub_desc'   => esc_html__( 'Set font size of top button in px.', 'books' ),
		'std'        => '24',
		'args'       => [ 'type' => 'number' ],
		'dependency' => $top_button_dependency,
	],

	[
		'id'         => 'top_button_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'books' ),
		'sub_desc'   => esc_html__( 'Set Top button padding from here.', 'books' ),
		'std'        => [
			'top'    => books_px2rem( '13px' ),
			'right'  => books_px2rem( '16px' ),
			'bottom' => books_px2rem( '12px' ),
			'left'   => books_px2rem( '16px' ),
		],
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'Top Button Position', 'books' ),
		'sub_desc'   => esc_html__( 'Set top button position from here.', 'books' ),
		'std'        => [
			'top'    => 'auto',
			'right'  => books_px2rem( '30px' ),
			'bottom' => books_px2rem( '80px' ),
			'left'   => 'auto',
		],
		'dependency' => $top_button_dependency,
	],

	[
		'id'         => 'top_button_border_radius',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Border Radius', 'books' ),
		'sub_desc'   => esc_html__( 'Set border radius of top button in px.', 'books' ),
		'std'        => '5',
		'args'       => [ 'type' => 'number' ],
		'dependency' => $top_button_dependency,
	],

	[
		'id'         => 'top_button_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'books' ),
		'sub_desc'   => esc_html__( 'Select border', 'books' ),
		'dependency' => $top_button_dependency,
	],

];
