<?php
/**
 * Archive Pages
 *
 * @package Books
 */

$menus['blog-archive'] = [
	'icon'  => 'fa-archive',
	'title' => esc_html__( 'Archives', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the archive pages.', 'books' ),
];

$sections['blog-archive'] = [
	[
		'id'    => 'archive_post_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Archive Posts Settings', 'books' ),
	],
	[
		'id'       => 'archive_meta_info',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Post Meta Info', 'books' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on archive pages', 'books' ),
		'options'  => [
			'category' => esc_html__( 'Category', 'books' ),
			'date'     => esc_html__( 'Date', 'books' ),
			'author'   => esc_html__( 'Author Name', 'books' ),
			'comment'  => esc_html__( 'Comments', 'books' ),
			'readmore' => esc_html__( 'Read More', 'books' ),
		],
		'std'      => [
			'category',
			'date',
			'author',
			'comment',
			'readmore',
		],
	],

	[
		'id'    => 'archive_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'books' ),
	],
	[
		'id'    => 'archive_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Meta Info Typography', 'books' ),
		'std'   => [
			'preview-text'   => 'Post Meta Info Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'margin-top'     => books_px2rem( '43px' ),
			'color'          => '#a39faa',
			'letter-spacing' => '3.172px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.archive .latestPost .post-info, .search .latestPost .post-info, .archive .latestPost .post-info a, .search .latestPost .post-info a',
		],
	],
	[
		'id'    => 'archive_post_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Title Font', 'books' ),
		'std'   => [
			'preview-text'   => 'Post Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '36px',
			'line-height'    => '1.11',
			'margin-top'     => books_px2rem( '30px' ),
			'color'          => '#484055',
			'letter-spacing' => '-0.504px',
			'css-selectors'  => '.latestPost .title a, .archive .latestPost .title a, .search .latestPost .title a, .archive [class^="more-page"] .latestPost .title a, .search [class^="more-page"] .latestPost .title a',
		],
	],
	[
		'id'    => 'archive_post_excerpt_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Excerpt Font', 'books' ),
		'std'   => [
			'preview-text'  => 'Post Excerpt Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '13px',
			'line-height'   => '1.769',
			'margin-top'    => books_px2rem( '17px' ),
			'color'         => '#6d6677',
			'css-selectors' => '.archive .latestPost .front-view-content, .search .latestPost .front-view-content, .archive [class^="more-page"] .latestPost .front-view-content, .search [class^="more-page"] .latestPost .front-view-content',
		],
	],
];
