<?php
/**
 * HomePage Categories Section
 *
 * @package Books
 */

$menus['homepage']['child']['homepage-categories'] = [
	'title' => esc_html__( 'Categories', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Categories Section on HomePage.', 'books' ),
];

$prefix = 'home_';

$sections['homepage-categories'] = [

	[
		'id'        => $prefix . 'categories_list',
		'title'     => esc_html__( 'Categories', 'books' ),
		'sub_desc'  => esc_html__( 'Add gradient into selected category.', 'books' ),
		'type'      => 'group',
		'groupname' => esc_html__( 'Category', 'books' ), // Group name.
		'subfields' => [
			[
				'id'    => $prefix . 'product_category',
				'type'  => 'select',
				'title' => esc_html__( 'Category', 'books' ),
				'data'  => 'category_slug',
				'args'  => [
					'include_latest' => 0,
					'hide_empty'     => 0,
					'taxonomy'       => 'product_cat',
				],
			],
			[
				'id'    => $prefix . 'category_bg',
				'type'  => 'color',
				'title' => esc_html__( 'Background Color', 'books' ),
			],
			[
				'id'    => $prefix . 'category_title_color',
				'type'  => 'color',
				'title' => esc_html__( 'Category Title Color', 'books' ),
			],
			[
				'id'    => $prefix . 'category_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Icon', 'books' ),
			],
			[
				'id'    => $prefix . 'category_icon_bg',
				'type'  => 'color',
				'title' => esc_html__( 'Icon Background Color', 'books' ),
			],
			[
				'id'    => $prefix . 'category_icon_color',
				'type'  => 'color',
				'title' => esc_html__( 'Icon Color', 'books' ),
			],
			[
				'id'    => 'count_text',
				'type'  => 'text',
				'title' => esc_html__( 'Count Text', 'books' ),
			],
			[
				'id'    => 'category_count_color',
				'type'  => 'color',
				'title' => esc_html__( 'Count Text Color', 'books' ),
			],
		],
		'std'       => [
			'1' => [
				'group_title'                    => '',
				'group_sort'                     => '1',
				$prefix . 'product_category'     => 'classic',
				$prefix . 'category_bg'          => '#ffffff',
				$prefix . 'category_title_color' => '#484055',
				$prefix . 'category_icon'        => 'bomb',
				$prefix . 'category_icon_bg'     => '#e19a9a',
				$prefix . 'category_icon_color'  => '#ffffff',
				'count_text'                     => 'Books',
				'category_count_color'           => '#a39faa',
			],
			'2' => [
				'group_title'                    => '',
				'group_sort'                     => '2',
				$prefix . 'product_category'     => 'music',
				$prefix . 'category_bg'          => '#ffffff',
				$prefix . 'category_title_color' => '#484055',
				$prefix . 'category_icon'        => 'music',
				$prefix . 'category_icon_bg'     => '#9ae1c6',
				$prefix . 'category_icon_color'  => '#ffffff',
				'count_text'                     => 'Books',
				'category_count_color'           => '#a39faa',
			],
			'3' => [
				'group_title'                    => '',
				'group_sort'                     => '3',
				$prefix . 'product_category'     => 'decor',
				$prefix . 'category_bg'          => '#ffffff',
				$prefix . 'category_title_color' => '#484055',
				$prefix . 'category_icon'        => 'camera-retro',
				$prefix . 'category_icon_bg'     => '#b59ae1',
				$prefix . 'category_icon_color'  => '#ffffff',
				'count_text'                     => 'Books',
				'category_count_color'           => '#a39faa',
			],
			'4' => [
				'group_title'                    => '',
				'group_sort'                     => '4',
				$prefix . 'product_category'     => 'love',
				$prefix . 'category_bg'          => '#ffffff',
				$prefix . 'category_title_color' => '#484055',
				$prefix . 'category_icon'        => 'heart',
				$prefix . 'category_icon_bg'     => '#7384af',
				$prefix . 'category_icon_color'  => '#ffffff',
				'count_text'                     => 'Books',
				'category_count_color'           => '#a39faa',
			],
		],
	],

	[
		'id'       => $prefix . 'categories_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Categories Border Radius', 'books' ),
		'sub_desc' => esc_html__( 'Enter border radius in px.', 'books' ),
		'args'     => [ 'type' => 'number' ],
		'std'      => '5',
	],
	[
		'id'       => $prefix . 'categories_shadow',
		'type'     => 'switch',
		'title'    => esc_html__( 'Box Shadow', 'books' ),
		'sub_desc' => esc_html__( 'Enable or Disable box shadow from here.', 'books' ),
		'std'      => '1',
	],

	[
		'id'    => $prefix . 'categories_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'books' ),
	],

	[
		'id'    => $prefix . 'categories_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'books' ),
		'color' => false,
		'std'   => [
			'preview-text'   => 'Title',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '20px',
			'line-height'    => '1',
			'margin-top'     => '6px',
			'color'          => '#484055',
			'additional-css' => 'display: inline-block; letter-spacing: -0.28px;',
			'css-selectors'  => '.categories-wrapper .cat-name',
		],
	],
	[
		'id'    => $prefix . 'categories_count',
		'type'  => 'typography',
		'title' => esc_html__( 'Count Font', 'books' ),
		'color' => false,
		'std'   => [
			'preview-text'   => '11 Books',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '11px',
			'line-height'    => '1',
			'margin-top'     => '1px',
			'additional-css' => 'opacity: 0.5; text-transform: uppercase; letter-spacing: 2.684px;',
			'css-selectors'  => '.categories-wrapper .post-count',
		],
	],

	[
		'id'    => $prefix . 'categories_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'books' ),
	],

	[
		'id'       => 'categories_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'books' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'books' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => $prefix . 'categories_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'books' ),
		'sub_desc' => esc_html__( 'Set categories section margin from here.', 'books' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => $prefix . 'categories_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'books' ),
		'sub_desc' => esc_html__( 'Set categories section padding from here.', 'books' ),
		'std'      => [
			'top'    => books_px2rem( '144px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],

];
