<?php
/**
 * HomePage General Tab
 *
 * @package Books
 */

$menus['homepage-general'] = [
	'icon'  => 'fa-cog',
	'title' => esc_html__( 'General Settings', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Homepage Sections.', 'books' ),
];

$sections['homepage-general'] = [

	[
		'id'        => 'categories_list',
		'title'     => esc_html__( 'Categories', 'books' ),
		'sub_desc'  => esc_html__( 'Add gradient into selected category.', 'books' ),
		'type'      => 'group',
		'groupname' => esc_html__( 'Category', 'books' ), // Group name.
		'subfields' => [
			[
				'id'    => 'product_category',
				'type'  => 'select',
				'title' => esc_html__( 'Category', 'books' ),
				'data'  => 'category_slug',
				'args'  => [
					'include_latest' => 0,
					'hide_empty'     => 0,
					'taxonomy'       => 'product_cat',
				],
			],
			[
				'id'    => 'category_gradient_top',
				'type'  => 'color',
				'title' => esc_html__( 'Gradient Top', 'books' ),
			],
			[
				'id'    => 'category_gradient_bottom',
				'type'  => 'color',
				'title' => esc_html__( 'Gradient Bottom', 'books' ),
			],
			[
				'id'    => 'category_gradient_deg',
				'type'  => 'text',
				'title' => esc_html__( 'Gradient Angle in deg', 'books' ),
			],
		],
		'std'       => [
			'1' => [
				'group_title'              => '',
				'group_sort'               => '1',
				'product_category'         => '',
				'category_gradient_top'    => '#4b75be',
				'category_gradient_bottom' => '#5ccec7',
				'category_gradient_deg'    => '135deg',
			],
		],
	],

];
