<?php // @codingStandardsIgnoreLine
/**
 * HomePage Recent Section
 *
 * @package Books
 */

$menus['homepage']['child']['homepage-recent'] = array(
	'title' => esc_html__( 'New Arrivals', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Recent Section.', 'books' ),
);

$sections['homepage-recent'] = array(

	array(
		'id'    => 'recent_category',
		'type'  => 'select',
		'title' => esc_html__( 'Select Category', 'books' ),
		'data'  => 'category_slug',
		'args'  => array(
			'include_latest' => 0,
			'hide_empty'     => 0,
			'taxonomy'       => 'product_cat',
		),
	),

	array(
		'id'       => 'recent_custom_title',
		'type'     => 'heading_text',
		'title'    => esc_html__( 'Show Custom Title', 'books' ),
		'sub_desc' => esc_html__( 'Enter custom title to show in top of posts section. Leave blank to show category title.', 'books' ),
		'std'      => array(
			'heading' => 'New Arrivals',
			'tag'     => 'h2',
		),
	),

	array(
		'id'       => 'recent_post_num',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Number of Posts', 'books' ),
		'sub_desc' => esc_html__( 'Enter number of posts for recent section.', 'books' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '8',
	),
	array(
		'id'       => 'recent_meta_info',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Meta Info', 'books' ),
		'sub_desc' => esc_html__( 'Show or hide post meta info.', 'books' ),
		'options'  => array(
			'date'   => esc_html__( 'Date', 'books' ),
			'author' => esc_html__( 'Author Name', 'books' ),
		),
		'std'      => array(
			'author',
		),
	),
	array(
		'id'       => 'recent_thumb_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'books' ),
		'sub_desc' => esc_html__( 'Enter border radius for recent thumbnail.', 'books' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '5',
	),
	array(
		'id'       => 'recent_thumb_shadow',
		'type'     => 'switch',
		'title'    => esc_html__( 'Box Shadow', 'books' ),
		'sub_desc' => esc_html__( 'Enable or Disable box shadow of thumbnail from here.', 'books' ),
		'std'      => '1',
	),

	array(
		'id'    => 'recent_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'books' ),
	),

	array(
		'id'    => 'recent_section_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Section Title Font', 'books' ),
		'std'   => array(
			'preview-text'   => 'Section Title',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '36px',
			'line-height'    => '1',
			'margin-bottom'  => books_px2rem( '63px' ),
			'color'          => '#484055',
			'letter-spacing' => '-0.504px',
			'css-selectors'  => '.recent-section .section-title, .recent-section .section-title a',
		),
	),
	array(
		'id'    => 'recent_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'books' ),
		'std'   => array(
			'preview-text'   => 'Post Title',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '20px',
			'color'          => '#484055',
			'letter-spacing' => '-0.28px',
			'css-selectors'  => '.recent-section .section-wrapper .title a',
		),
	),
	array(
		'id'    => 'recent_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Meta Info Font', 'books' ),
		'std'   => array(
			'preview-text'   => 'Meta info',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '11px',
			'line-height'    => '1',
			'margin-top'     => '10px',
			'color'          => '#a19da7',
			'letter-spacing' => '2.684px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.recent-section .section-wrapper .post-meta, .recent-section .section-wrapper .post-meta a',
		),
	),

	array(
		'id'    => 'recent_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'books' ),
	),

	array(
		'id'       => 'recent_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'books' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'books' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'recent_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'books' ),
		'sub_desc' => esc_html__( 'Set recent section margin from here.', 'books' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'recent_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'books' ),
		'sub_desc' => esc_html__( 'Set recent section padding from here.', 'books' ),
		'std'      => array(
			'top'    => books_px2rem( '93px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

);
