<?php
/**
 * HomePage Subscribe Section
 *
 * @package Books
 */

$menus['homepage']['child']['homepage-subscribe'] = [
	'title' => esc_html__( 'Subscribe', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Subscribe Section.', 'books' ),
];

$sections['homepage-subscribe'] = [

	[
		'id'       => 'subscribe_section_width',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Section Width', 'books' ),
		'sub_desc' => esc_html__( 'Choose width of Subscribe section shown on HomePage.', 'books' ),
		'options'  => [
			'default' => esc_html__( 'Container', 'books' ),
			'full'    => esc_html__( 'Full Width', 'books' ),
		],
		'std'      => 'default',
	],

	[
		'id'       => 'subscribe_heading',
		'type'     => 'heading_text',
		'title'    => esc_html__( 'Section Title', 'books' ),
		'sub_desc' => esc_html__( 'Enter title for subscribe section.', 'books' ),
		'std'      => [
			'heading' => 'Join the community',
			'tag'     => 'h2',
		],
	],

	[
		'id'       => 'subscribe_heading_desc',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Description', 'books' ),
		'sub_desc' => esc_html__( 'Enter number of posts for subscribe section.', 'books' ),
		'std'      => 'Newsletter to get in touch',
	],

	[
		'id'    => 'subscribe_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'books' ),
	],

	[
		'id'    => 'subscribe_heading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'books' ),
		'std'   => [
			'preview-text'   => 'Join the community',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '36px',
			'line-height'    => '1',
			'color'          => '#ffffff',
			'additional-css' => 'letter-spacing: -0.504px;',
			'css-selectors'  => '.subscribe-section .section-title, .subscribe-section #wp-subscribe .title',
		],
	],

	[
		'id'    => 'subscribe_heading_desc_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'books' ),
		'std'   => [
			'preview-text'   => 'Newsletter to get in touch',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '13px',
			'line-height'    => '1.538',
			'margin-top'     => books_px2rem( '0px' ),
			'color'          => '#ffffff',
			'additional-css' => 'opacity: 0.75;',
			'css-selectors'  => '.subscribe-wrapper .desc, .subscribe-section #wp-subscribe p.text, .subscribe-section #wp-subscribe .wps-consent-wrapper label, .subscribe-section #wp-subscribe p.footer-text',
		],
	],

	[
		'id'    => 'subscribe_fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Fields Font', 'books' ),
		'std'   => [
			'preview-text'   => 'Fields Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '13px',
			'color'          => '#ffffff',
			'letter-spacing' => '0px',
			'additional-css' => 'text-transform: none;',
			'css-selectors'  => '.subscribe-wrapper .widget #wp-subscribe input.email-field, .subscribe-wrapper .widget #wp-subscribe input.name-field',
		],
	],

	[
		'id'    => 'subscribe_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'books' ),
	],

	[
		'id'       => 'subscribe_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'books' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'books' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'gradient',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#4b75be',
				'to'        => '#5ccec7',
				'direction' => '135deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'subscribe_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'books' ),
		'sub_desc' => esc_html__( 'Enter border radius for subscribe section.', 'books' ),
		'args'     => [ 'type' => 'number' ],
		'std'      => '5',
	],
	[
		'id'       => 'subscribe_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'books' ),
		'sub_desc' => esc_html__( 'Set subscribe section margin from here.', 'books' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => 'subscribe_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'books' ),
		'sub_desc' => esc_html__( 'Set subscribe section padding from here.', 'books' ),
		'std'      => [
			'top'    => books_px2rem( '25px' ),
			'right'  => books_px2rem( '80px' ),
			'bottom' => books_px2rem( '41px' ),
			'left'   => books_px2rem( '80px' ),
		],
	],

];
