<?php
/**
 * Sidebars Styling
 *
 * @package Books
 */

$menus['sidebars-styling'] = [
	'icon'  => 'fa fa-adjust',
	'title' => esc_html__( 'Styling', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the styling of sidebars.', 'books' ),
];

$sections['sidebars-styling'] = [

	[
		'id'    => 'sidebar_title_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Title Styling', 'books' ),
	],

	[
		'id'       => 'sidebar_title_styling_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Sidebar Title Styling Background', 'books' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'books' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'sidebar_title_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Title Margin', 'books' ),
		'sub_desc' => esc_html__( 'Set sidebar title margin from here.', 'books' ),
		'left'     => false,
		'right'    => false,
		'std'      => [
			'top'    => '0',
			'bottom' => books_px2rem( '28px' ),
		],
	],
	[
		'id'       => 'sidebar_title_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Title Padding', 'books' ),
		'sub_desc' => esc_html__( 'Set sidebar title padding from here.', 'books' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => books_px2rem( '26px' ),
			'left'   => '0',
		],
	],
	[
		'id'       => 'widget_title_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'books' ),
		'sub_desc' => esc_html__( 'Select border.', 'books' ),
		'std'      => [
			'color'     => '#f0f0f0',
			'direction' => 'bottom',
			'size'      => '1',
			'style'     => 'solid',
		],
	],

	[
		'id'    => 'sidebar_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Sidebar Styling', 'books' ),
	],

	[
		'id'       => 'sidebar_styling_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Sidebar Styling Background', 'books' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'books' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'sidebar_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Margin', 'books' ),
		'sub_desc' => esc_html__( 'Set sidebar margin from here.', 'books' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => books_px2rem( '32px' ),
			'left'   => '0',
		],
	],
	[
		'id'       => 'sidebar_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Padding', 'books' ),
		'sub_desc' => esc_html__( 'Set sidebar padding from here.', 'books' ),
		'std'      => [
			'top'    => books_px2rem( '29px' ),
			'right'  => books_px2rem( '29px' ),
			'bottom' => books_px2rem( '29px' ),
			'left'   => books_px2rem( '29px' ),
		],
	],
	[
		'id'       => 'sidebar_styling_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'books' ),
		'sub_desc' => esc_html__( 'Select border', 'books' ),
	],
	[
		'id'       => 'sidebar_styling_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'books' ),
		'sub_desc' => esc_html__( 'Enter border radius for sidebar widgets.', 'books' ),
		'args'     => [ 'type' => 'number' ],
		'std'      => '5',
	],
	[
		'id'       => 'sidebar_styling_shadow',
		'type'     => 'switch',
		'title'    => esc_html__( 'Box Shadow', 'books' ),
		'sub_desc' => esc_html__( 'Enable or Disable box shadow for sidebar widgets.', 'books' ),
		'std'      => '1',
	],

	[
		'id'    => 'sidebar_tags_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Tags', 'books' ),
	],

	[
		'id'       => 'tags_bgcolor',
		'type'     => 'color',
		'title'    => esc_html__( 'Tags background color', 'books' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'books' ),
		'std'      => '#81d1d4',
	],

	[
		'id'    => 'sidebar_typography_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography', 'books' ),
	],

	[
		'id'    => 'sidebar_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Widget Title', 'books' ),
		'std'   => [
			'preview-text'   => 'Sidebar Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '600',
			'font-size'      => '15px',
			'line-height'    => '1',
			'color'          => '#afacb5',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 1.875px;',
			'css-selectors'  => '#sidebar .widget h3.widget-title, #sidebar .widget h3.widget-title a',
		],
	],

	[
		'id'    => 'mts_widget_links',
		'type'  => 'typography',
		'title' => esc_html__( 'MTS Widgets Links', 'books' ),
		'std'   => [
			'preview-text'  => 'Sidebar Links',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '13px',
			'line-height'   => '1.384',
			'color'         => '#484055',
			'css-selectors' => '#sidebar .widget li.horizontal-small .post-title a, #sidebar .widget .wpt_widget_content .entry-title a, #sidebar .widget .wp_review_tab_widget_content .entry-title a',
		],
	],

	[
		'id'    => 'default_widget_links',
		'type'  => 'typography',
		'title' => esc_html__( 'Default Widgets Link', 'books' ),
		'std'   => [
			'preview-text'  => 'Default Widgets',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '13px',
			'line-height'   => '1.384',
			'color'         => '#484055',
			'css-selectors' => '#sidebar .widget li a, #sidebar .widget.widget_categories li a, #sidebar .widget.widget_archive li a, #sidebar .widget.widget_pages li a, #sidebar .widget.widget_meta li a, #sidebar .widget.widget_recent_comments li a, #sidebar .widget.widget_recent_entries li a, #sidebar .widget.widget_rss, #sidebar .widget.widget_nav_menu li a',
		],
	],

	[
		'id'    => 'sidebar_url_bigthumb',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Links on Big Thumb', 'books' ),
		'std'   => [
			'preview-text'  => 'Sidebar Links Big Thumb',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '15px',
			'line-height'   => '1.384',
			'color'         => '#484055',
			'css-selectors' => '#sidebar .widget .vertical-small a, #sidebar .widget li.vertical-small, #sidebar .widget .review_thumb_large .entry-title a',
		],
	],

	[
		'id'    => 'sidebar_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Font', 'books' ),
		'std'   => [
			'preview-text'  => 'Sidebar Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '14px',
			'line-height'   => '1.857',
			'color'         => '#6d6677',
			'css-selectors' => '#sidebar .widget p, #sidebar .widget .post-excerpt, .widget .wp-subscribe-wrap .wps-consent-wrapper label, .aboutme-widget .aboutme-description',
		],
	],

	[
		'id'    => 'sidebar_font_bigthumb',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Font bigthumb', 'books' ),
		'std'   => [
			'preview-text'  => 'Sidebar Font bigthumb',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '14px',
			'line-height'   => '1.857',
			'color'         => '#6d6677',
			'css-selectors' => '#sidebar .widget .vertical-small p, #sidebar .widget .vertical-small .post-excerpt',
		],
	],

	[
		'id'    => 'sidebar_postinfo_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Postinfo Font', 'books' ),
		'std'   => [
			'preview-text'   => 'Sidebar Postinfo Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '10px',
			'color'          => '#a39faa',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 2.44px;',
			'css-selectors'  => '#sidebar .widget .post-info, #sidebar .widget .post-info a, #sidebar .wpt_widget_content .wpt-postmeta, .widget .wp_review_tab_widget_content .wp-review-tab-postmeta',
		],
	],

	[
		'id'    => 'sidebar_postinfo_font_bigthumb',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Postinfo Font bigthumb', 'books' ),
		'std'   => [
			'preview-text'   => 'Sidebar Postinfo Font bigthumb',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '11px',
			'color'          => '#a39faa',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 2.5px;',
			'css-selectors'  => '#sidebar .widget .vertical-small .post-info, #sidebar .widget .vertical-small .post-info a, .widget .wp_review_tab_widget_content .review_thumb_large .wp-review-tab-postmeta, .wpt_comment_content, .wpt_excerpt, #sidebar .widget .vertical-small .readMore a',
		],
	],

	[
		'id'    => 'sidebar_buttons_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Button Font', 'books' ),
		'std'   => [
			'preview-text'   => 'Button Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.button, .instagram-button a, .widget #wp-subscribe input.submit',
		],
	],

];
