<?php
/**
 * Breadcrumbs Styling
 *
 * @package Books
 */

$menus['single-breadcrumbs'] = [
	'icon'  => 'fa-exchange',
	'title' => esc_html__( 'Breadcrumbs', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the appearance of breadcrumbs.', 'books' ),
];

$breadcrumbs_dependency = [
	'relation' => 'and',
	[
		'field'      => 'show_breadcrumb',
		'value'      => '1',
		'comparison' => '==',
	],
];

$sections['single-breadcrumbs'] = [

	[
		'id'       => 'show_breadcrumb',
		'type'     => 'switch',
		'title'    => esc_html__( 'Breadcrumbs', 'books' ),
		'sub_desc' => esc_html__( 'Breadcrumbs are a great way to make your site more user-friendly. You can enable them by checking this box.', 'books' ),
		'std'      => '0',
	],

	[
		'id'         => 'breadcrumb_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Breadcrumbs Background Color', 'books' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'books' ),
		'options'    => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'        => [
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
		'dependency' => $breadcrumbs_dependency,
	],

	[
		'id'         => 'breadcrumb_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'books' ),
		'sub_desc'   => esc_html__( 'Set breadcrumb margin from here.', 'books' ),
		'left'       => false,
		'right'      => false,
		'std'        => [
			'top'    => '0',
			'bottom' => '0',
		],
		'dependency' => $breadcrumbs_dependency,
	],
	[
		'id'         => 'breadcrumb_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'books' ),
		'sub_desc'   => esc_html__( 'Set breadcrumb padding from here.', 'books' ),
		'std'        => [
			'top'    => '8px',
			'right'  => books_px2rem( '20px' ),
			'bottom' => '8px',
			'left'   => books_px2rem( '20px' ),
		],
		'dependency' => $breadcrumbs_dependency,
	],
	[
		'id'         => 'breadcrumb_border_radius',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Border Radius', 'books' ),
		'sub_desc'   => esc_html__( 'Enter border radius for breadcrumb.', 'books' ),
		'args'       => [ 'type' => 'number' ],
		'std'        => '5',
		'dependency' => $breadcrumbs_dependency,
	],
	[
		'id'         => 'breadcrumb_shadow',
		'type'       => 'switch',
		'title'      => esc_html__( 'Box Shadow', 'books' ),
		'sub_desc'   => esc_html__( 'Enable or Disable box shadow for breadcrumb.', 'books' ),
		'std'        => '1',
		'dependency' => $breadcrumbs_dependency,
	],

	[
		'id'         => 'breadcrumb_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Breadcrumbs Font', 'books' ),
		'std'        => [
			'preview-text'   => 'Breadcrumbs',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '12px',
			'color'          => '#484055',
			'letter-spacing' => '1.5px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.breadcrumb, .rank-math-breadcrumb',
		],
		'dependency' => $breadcrumbs_dependency,
	],

];
