<?php
/**
 * Single Subscribe
 *
 * @package Books
 */

$menus['single-subscribe'] = [
	'icon'  => 'fa-envelope-open-o',
	'title' => esc_html__( 'Subscribe Box', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Subscribe box in single posts page.', 'books' ),
];

$sections['single-subscribe'] = [

	[
		'id'    => 'single_subscribe_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Settings', 'books' ),
	],
	[
		'id'       => 'single_subscribe_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Subscribe box Background', 'books' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'books' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'single_subscribe_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'books' ),
		'sub_desc' => esc_html__( 'Set Subscribe box margin from here.', 'books' ),
		'std'      => [
			'top'    => books_px2rem( '32px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => 'single_subscribe_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'books' ),
		'sub_desc' => esc_html__( 'Set Subscribe box padding from here.', 'books' ),
		'std'      => [
			'top'    => books_px2rem( '48px' ),
			'right'  => books_px2rem( '48px' ),
			'bottom' => books_px2rem( '48px' ),
			'left'   => books_px2rem( '48px' ),
		],
	],
	[
		'id'       => 'single_subscribe_shadow',
		'type'     => 'switch',
		'title'    => esc_html__( 'Box Shadow', 'books' ),
		'sub_desc' => esc_html__( 'Enable/Disable shadow from here', 'books' ),
		'std'      => '1',
	],
	[
		'id'       => 'single_subscribe_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'books' ),
		'sub_desc' => esc_html__( 'Select border', 'books' ),
	],
	[
		'id'       => 'single_subscribe_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'books' ),
		'sub_desc' => esc_html__( 'Subscribe box border radius.', 'books' ),
		'std'      => '5',
		'args'     => [ 'type' => 'number' ],
	],

	[
		'id'    => 'single_subscribe_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Title Settings', 'books' ),
	],
	[
		'id'    => 'single_subscribe_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Title Font', 'books' ),
		'std'   => [
			'preview-text'   => 'Sign Up for Our Newsletters',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '24px',
			'color'          => '#484055',
			'letter-spacing' => '0px',
			'additional-css' => 'text-transform: none;',
			'css-selectors'  => '.single-subscribe .widget #wp-subscribe .title',
		],
	],
	[
		'id'    => 'single_subscribe_text_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Text Settings', 'books' ),
	],
	[
		'id'    => 'single_subscribe_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Text Font', 'books' ),
		'std'   => [
			'preview-text'  => 'Get notified of the best deals on our WordPress themes.',
			'preview-color' => 'light',
			'font-family'   => 'Roboto',
			'font-weight'   => '400',
			'font-size'     => '13px',
			'line-height'   => '1.6',
			'color'         => '#504b46',
			'css-selectors' => '.single-subscribe .widget #wp-subscribe p.text, .single-subscribe .widget .wp-subscribe .wps-consent-wrapper label, .single-subscribe .widget .wp-subscribe-wrap .error, .single-subscribe .widget .wp-subscribe-wrap .thanks',
		],
	],
	[
		'id'    => 'single_subscribe_input_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Input Settings', 'books' ),
	],
	[
		'id'       => 'single_subscribe_input_height',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Height', 'books' ),
		'sub_desc' => esc_html__( 'Subscribe box input fields height.', 'books' ),
		'std'      => '48',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'single_subscribe_input_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'books' ),
		'sub_desc' => esc_html__( 'Subscribe box input fields border radius.', 'books' ),
		'std'      => '0',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'single_subscribe_input_border',
		'type'     => 'border2',
		'title'    => esc_html__( 'Border', 'books' ),
		'sub_desc' => esc_html__( 'Select border', 'books' ),
	],
	[
		'id'    => 'single_subscribe_input_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Input Fields Font', 'books' ),
		'std'   => [
			'preview-text'   => 'Enter your email',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '11px',
			'color'          => '#484055',
			'letter-spacing' => '1.375px',
			'css-selectors'  => '.single-subscribe .widget #wp-subscribe input.email-field, .single-subscribe .widget #wp-subscribe input.name-field, .widget #wp-subscribe input.email-field, .widget #wp-subscribe input.name-field',
		],
	],
	[
		'id'    => 'single_subscribe_submit_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Submit Settings', 'books' ),
	],
	[
		'id'       => 'single_subscribe_submit_backgroud',
		'type'     => 'color',
		'title'    => esc_html__( 'Background Color', 'books' ),
		'sub_desc' => esc_html__( 'Submit button background color', 'books' ),
		'std'      => '#ffffff',
	],
	[
		'id'       => 'single_subscribe_submit_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'books' ),
		'sub_desc' => esc_html__( 'Subscribe box submit button border radius.', 'books' ),
		'std'      => '0',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'single_subscribe_submit_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'books' ),
		'sub_desc' => esc_html__( 'Select border', 'books' ),
	],
	[
		'id'       => 'single_subscribe_submit_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'books' ),
		'sub_desc' => esc_html__( 'Set subscribe submit button padding from here.', 'books' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'    => 'single_subscribe_submit_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Submit Button Font', 'books' ),
		'std'   => [
			'preview-text'   => 'Submit',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.single-subscribe .widget #wp-subscribe input.submit',
		],
	],
	[
		'id'    => 'single_subscribe_small_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box small text Settings', 'books' ),
	],
	[
		'id'    => 'single_subscribe_small_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Small Text Font', 'books' ),
		'std'   => [
			'preview-text'   => 'Subscribe Small Text',
			'preview-color'  => 'light',
			'font-family'    => 'Roboto',
			'font-weight'    => '400',
			'font-size'      => '13px',
			'line-height'    => '1.67',
			'color'          => '#504b46',
			'additional-css' => 'opacity: 0.75;',
			'css-selectors'  => '.single-subscribe .widget .wp-subscribe-wrap p.footer-text',
		],
	],
];
