<?php
/**
 * Single Tab
 *
 * @package Books
 */

$menus['single-general'] = [
	'icon'  => 'fa-file-o',
	'title' => esc_html__( 'General', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'books' ),
];

$sections['single-general'] = [

	[
		'id'       => 'show_single_featured',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Featured image', 'books' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Featured images in the single post.', 'books' ),
		'std'      => '1',
	],

	[
		'id'       => 'mts_single_post_layout',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Single Post Layout', 'books' ),
		'sub_desc' => esc_html__( 'Customize the look of single posts', 'books' ),
		'options'  => [
			'enabled'  => [
				'content' => [
					'label'     => esc_html__( 'Post Content', 'books' ),
					'subfields' => [],
				],
				'author'  => [
					'label'     => esc_html__( 'Author Box', 'books' ),
					'subfields' => [],
				],
				'related' => [
					'label'     => esc_html__( 'Related Posts', 'books' ),
					'subfields' => [
						[
							'id'       => 'mts_related_posts_taxonomy',
							'type'     => 'switch',
							'title'    => esc_html__( 'Related Posts Taxonomy', 'books' ),
							'options'  => [
								'tags'       => esc_html__( 'Tags', 'books' ),
								'categories' => esc_html__( 'Categories', 'books' ),
							],
							'class'    => 'green',
							'sub_desc' => esc_html__( 'Related Posts based on tags or categories.', 'books' ),
							'std'      => 'categories',
						],
					],
				],
			],
			'disabled' => [
				'subscribe' => [
					'label'     => esc_html__( 'Subscribe Box', 'books' ),
					'subfields' => [],
				],
			],
		],
	],

	[
		'id'       => 'single_meta_info',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Post Meta Info', 'books' ),
		'sub_desc' => esc_html__( 'Show or hide post meta info.', 'books' ),
		'options'  => [
			'category' => esc_html__( 'Category', 'books' ),
			'date'     => esc_html__( 'Date', 'books' ),
			'author'   => esc_html__( 'Author Name', 'books' ),
			'comment'  => esc_html__( 'Comments', 'books' ),
		],
		'std'      => [
			'category',
			'date',
			'author',
			'comment',
		],
	],

	[
		'id'       => 'show_single_tags',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Tags Section', 'books' ),
		'sub_desc' => esc_html__( 'Enable/Disable tags section in the single post.', 'books' ),
		'std'      => '1',
	],

];
