<?php
/**
 * Tab widgets
 *
 * @package Books
 */

$menus['tab-widgets'] = [
	'icon'  => 'fa-folder-o',
	'title' => esc_html__( 'Tab Widget', 'books' ),
	'desc'  => esc_html__( 'From here, you can control the styling of WP Review and WP Tab widgets.', 'books' ),
];

$sections['tab-widgets'] = [

	[
		'id'       => 'tab_widgets_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'books' ),
		'sub_desc' => esc_html__( 'Set search widget padding from here.', 'books' ),
		'std'      => [
			'top'    => books_px2rem( '16px' ),
			'right'  => books_px2rem( '32px' ),
			'bottom' => books_px2rem( '32px' ),
			'left'   => books_px2rem( '32px' ),
		],
	],
	[
		'id'    => 'tabs_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Tabs Title', 'books' ),
		'std'   => [
			'preview-text'   => 'Tabs Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '10px',
			'color'          => '#383567',
			'letter-spacing' => '1.07px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#sidebar .widget .wp_review_tab_widget_content .tab_title a, #sidebar .widget .wpt_widget_content .tab_title a, .f-widget .widget .wp_review_tab_widget_content .tab_title a, .f-widget .widget .wpt_widget_content .tab_title a',
		],
	],

];
