<?php
/**
 * Typography tab
 *
 * @package Books
 */

$menus['typography-collection'] = [
	'icon'       => 'fa-text-width',
	'title'      => esc_html__( 'Typography', 'books' ),
	'hide_title' => true,
];

$sections['typography-collection'] = [

	[
		'id'    => 'typography-collections',
		'type'  => 'typography_collections',
		'title' => esc_html__( 'Theme Typography', 'books' ),
		'desc'  => esc_html__( 'From here, you can control the fonts used on your site. You can choose from 17 standard font sets, or from the Google Fonts Library containing 800+ fonts.', 'books' ),
	],

	[
		'id'    => 'books_logo',
		'type'  => 'typography',
		'title' => esc_html__( 'Logo Font', 'books' ),
		'std'   => [
			'preview-text'   => 'Books',
			'preview-color'  => 'light',
			'font-family'    => 'Rubik',
			'font-weight'    => '700',
			'font-size'      => '24px',
			'color'          => '#000000',
			'letter-spacing' => '6px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#logo a, .logo',
		],
	],

	[
		'id'    => 'primary_navigation_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Navigation', 'books' ),
		'std'   => [
			'preview-text'   => 'Navigation Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '12px',
			'color'          => '#484055',
			'letter-spacing' => '1.5px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#primary-navigation li a',
		],
	],

	[
		'id'    => 'content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'books' ),
		'std'   => [
			'preview-text'  => 'Content Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '14px',
			'line-height'   => '1.857',
			'color'         => '#6d6677',
			'css-selectors' => 'body',
		],
	],

	[
		'id'       => 'single_page_titles_font',
		'type'     => 'typography',
		'title'    => esc_html__( 'Single Sections Title', 'books' ),
		'sub_desc' => esc_html__( 'Manage Title typography of Tags, Related Posts, Comments and Reply from here.', 'books' ),
		'std'      => [
			'preview-text'   => 'Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '28px',
			'line-height'    => '1',
			'color'          => '#484055',
			'letter-spacing' => '-0.392px',
			'css-selectors'  => '.related-posts h4, #respond h4, .total-comments',
		],
	],

	[
		'id'    => 'subscribe_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Widget Title', 'books' ),
		'std'   => [
			'preview-text'   => 'Get stories delivered to your inbox',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '600',
			'font-size'      => '24px',
			'line-height'    => '1.3',
			'color'          => '#484055',
			'letter-spacing' => '3px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.widget #wp-subscribe .title',
		],
	],

	[
		'id'    => 'fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Fields Font', 'books' ),
		'std'   => [
			'preview-text'   => 'Text Fields Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'color'          => '#484055',
			'letter-spacing' => '1.5px',
			'css-selectors'  => 'input#author, .contact-form input[type="text"], input#email, input#url, #commentform textarea, .contact-form textarea',
		],
	],

	[
		'id'    => 'submit_button_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Submit Button Font', 'books' ),
		'std'   => [
			'preview-text'   => 'Post Comment',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#commentform input#submit, #mtscontact_submit',
		],
	],

	[
		'id'    => 'h1_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H1 Heading in Content', 'books' ),
		'std'   => [
			'preview-text'  => 'H1 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '32px',
			'color'         => '#484055',
			'css-selectors' => 'h1',
		],
	],

	[
		'id'    => 'h2_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H2 Heading in Content', 'books' ),
		'std'   => [
			'preview-text'  => 'H2 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '30px',
			'color'         => '#484055',
			'css-selectors' => 'h2',
		],
	],

	[
		'id'    => 'h3_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H3 Heading in Content', 'books' ),
		'std'   => [
			'preview-text'  => 'H3 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '28px',
			'color'         => '#484055',
			'css-selectors' => 'h3',
		],
	],

	[
		'id'    => 'h4_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H4 Heading in Content', 'books' ),
		'std'   => [
			'preview-text'  => 'H4 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '26px',
			'color'         => '#484055',
			'css-selectors' => 'h4',
		],
	],

	[
		'id'    => 'h5_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H5 Heading in Content', 'books' ),
		'std'   => [
			'preview-text'  => 'H5 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '24px',
			'color'         => '#484055',
			'css-selectors' => 'h5',
		],
	],

	[
		'id'    => 'h6_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H6 Heading in Content', 'books' ),
		'std'   => [
			'preview-text'  => 'H6 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '22px',
			'color'         => '#484055',
			'css-selectors' => 'h6',
		],
	],

	[
		'id'       => 'typography-subsets',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Character sets', 'books' ),
		'sub_desc' => esc_html__( 'Choose the character sets you wish to include. Please note that not all sets are available for all fonts.', 'books' ),
		'options'  => [
			'latin'        => esc_html__( 'Latin', 'books' ),
			'latin-ext'    => esc_html__( 'Latin Extended', 'books' ),
			'cyrillic'     => esc_html__( 'Cyrillic', 'books' ),
			'cyrillic-ext' => esc_html__( 'Cyrillic Extended', 'books' ),
			'greek'        => esc_html__( 'Greek', 'books' ),
			'greek-ext'    => esc_html__( 'Greek Extended', 'books' ),
			'vietnamese'   => esc_html__( 'Vietnamese', 'books' ),
			'khmer'        => esc_html__( 'Khmer', 'books' ),
			'devanagari'   => esc_html__( 'Devanagari', 'books' ),
		],
		'std'      => [ 'latin' ],
	],
];
