<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Books
 */

get_header(); ?>

<?php books_single_featured_image_effect(); ?>

	<?php books_action( 'before_content' ); ?>

	<div id="wrapper" class="<?php books_single_page_class(); ?>">

		<div class="container clearfix">

			<article class="<?php books_article_class(); ?>">

				<div id="content_box" >

				<?php
				// Elementor 'single' location.
				if ( ! books_is_elementor( 'single' ) ) {
					if ( have_posts() ) :
						while ( have_posts() ) :
							the_post();
							?>
						<div id="post-<?php the_ID(); ?>" <?php post_class( 'g post' ); ?>>

							<div class="single_page">

								<header>
									<h1 class="title entry-title"><?php the_title(); ?></h1>
								</header>

								<div class="post-content box mark-links entry-content">
									<?php
									if ( ! empty( books_get_settings( 'mts_social_buttons_on_pages' ) ) && null !== books_get_settings( 'mts_social_button_position' ) && 'top' === books_get_settings( 'mts_social_button_position' ) ) {
										books_social_buttons();
									}

									the_content();

									// Single Page Pagination.
									$args = [
										'before'           => '<div class="pagination">',
										'after'            => '</div>',
										'link_before'      => '<span class="current"><span class="currenttext">',
										'link_after'       => '</span></span>',
										'next_or_number'   => 'next_and_number',
										'nextpagelink'     => __( 'Next', 'books' ),
										'previouspagelink' => __( 'Previous', 'books' ),
										'pagelink'         => '%',
										'echo'             => 1,
									];
									wp_link_pages( $args );

									if ( ( ! empty( books_get_settings( 'mts_social_buttons_on_pages' ) ) && null !== books_get_settings( 'mts_social_button_position' ) ) && 'top' !== books_get_settings( 'mts_social_button_position' ) ) {
										books_social_buttons();
									}
									?>

								</div><!--.post-content box mark-links-->

							</div>

						</div>
							<?php
							// Comment area.
							comments_template( '', true );

					endwhile;

				endif;
				}
				?>

				</div>

			</article>

		<?php get_sidebar(); ?>

	</div>

<?php
get_footer();
