<?php
/**
 * The template for displaying search results pages.
 *
 * @package Books
 */

get_header();

books_action( 'before_content' ); ?>

	<div id="wrapper" class="clearfix">

		<div class="container">

			<div class="article">

				<?php
				// Elementor 'archive' location.
				if ( ! books_is_elementor( 'archive' ) ) {
				?>

				<div id="content_box">

					<?php if ( have_posts() ) : ?>

						<h1 class="page-title">
							<?php
							// translators: search query.
							printf( esc_html__( 'Search Results for: %s', 'books' ), '<span>' . get_search_query() . '</span>' );
							?>
						</h1>
					<?php else : ?>
						<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'books' ); ?></h1>
					<?php endif; ?>

					<?php
					if ( 'above' === books_get_settings( 'search_position' ) ) {
						get_search_form();
					}
					?>

					<section id="latest-posts" class="layout-default clearfix">

						<?php
						$j = 0;
						if ( have_posts() ) {
							while ( have_posts() ) {
								the_post();
								books_blog_articles( 'default' );
							}
						} else {
							get_template_part( 'template-parts/no', 'results' );
						}

						if ( 0 !== ++$j ) {
							books_pagination( books_get_settings( 'mts_pagenavigation_type' ) );
						}
						wp_reset_postdata();
						?>

					</section>

					<?php
					if ( 'below' === books_get_settings( 'search_position' ) ) {
						get_search_form();
					}
					?>
				</div>

				<?php books_action( 'after_content' ); ?>

				<?php
				}
				?>

			</div>

			<?php get_sidebar(); ?>

		</div><!-- end of .container -->

<?php
get_footer();
