<?php
/**
 * The sidebar containing the main widget area.
 *
 * @package Books
 */

$sidebar = mts_custom_sidebar();

if ( 'mts_nosidebar' === $sidebar ) {
	return;
}
if ( empty( $sidebar ) ) {
	$sidebar = 'sidebar';
}
?>
<aside id="sidebar" class="sidebar c-4-12 <?php echo esc_attr( 'mts-sidebar-' . $sidebar ); ?>" role="complementary" itemscope itemtype="http://schema.org/WPSideBar">
	<?php
	// Elementor 'main-sidebar' location.
	if ( ! books_is_elementor( 'main-sidebar' ) ) {
		if ( ! dynamic_sidebar( $sidebar ) ) :
			?>
			<div id="sidebar-search" class="widget widget_search">
				<h3 class="widget-title"><?php esc_html_e( 'Search', 'books' ); ?></h3>
				<?php get_search_form(); ?>
			</div>

			<div id="sidebar-archives" class="widget widget_archive">
				<h3 class="widget-title"><?php esc_html_e( 'Archives', 'books' ); ?></h3>
				<ul>
					<?php wp_get_archives( 'type=monthly' ); ?>
				</ul>
			</div>

			<div id="sidebar-meta" class="widget widget_meta">
				<h3 class="widget-title"><?php esc_html_e( 'Meta', 'books' ); ?></h3>
				<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<?php wp_meta(); ?>
				</ul>
			</div>
			<?php
		endif;
	}
	?>

</aside><!--#sidebar-->
