<?php // @codingStandardsIgnoreLine
/**
 * Homepage Section - Subscribe
 *
 * @package Books
 */

defined( 'WPINC' ) || exit;

/**
 * HomePage Subscribe
 */
class Home_Subscribe extends Books_Homepage {

	/**
	 * The Construct
	 */
	public function __construct() {
		$this->add_action( 'books_subscribe_desc', 'get_section_desc', 20 );
		$this->get_subscribe_section();
	}

	/**
	 * Get selected Posts
	 */
	public function get_subscribe_section() {

		if ( ! is_active_sidebar( 'subscribe-section' ) ) {
			return;
		}

		$subscribe_post_meta = books_get_settings( 'subscribe_meta_info' );

		?>
		<section class="subscribe-section">

			<div class="container">

				<div class="subscribe-wrapper">
					<div class="subscribe-heading">
						<?php
							echo $this->get_section_title( books_get_settings( 'subscribe_heading' ) ); // @codingStandardsIgnoreLine
							books_action( 'subscribe_desc' );
						?>
					</div>
					<?php
					if ( is_active_sidebar( 'subscribe-section' ) ) {
						dynamic_sidebar( 'subscribe-section' );
					}
					?>
				</div>

			</div><!-- .container -->

		</section>
		<?php
	}

	/**
	 * Get section description
	 */
	public function get_section_desc() {

		$subscribe_desc = books_get_settings( 'subscribe_heading_desc' );

		if ( ! $subscribe_desc ) {
			return;
		}
		$desc = '<p class="desc">' . $subscribe_desc . '</p>';
		echo $desc; // @codingStandardsIgnoreLine
	}

}

// Init.
new Home_Subscribe();
