<?php // @codingStandardsIgnoreLine
/**
 * Posts Layout - Grid
 *
 * @package Books
 */

$featured = books()->featured_layouts;
?>

<div class="<?php $featured->get_post_container_class(); ?>">

	<div class="container clear">

		<div class="<?php books_article_class(); ?>">

			<?php
			// Elementor 'archive' location.
			if ( ! books_is_elementor( 'archive' ) ) {
			?>

			<?php $featured->get_section_title(); ?>

			<div id="content_box">

				<?php books_action( 'start_content_box' ); ?>

				<section class="<?php echo esc_attr( $featured->current['layout'] ); ?> clearfix">
					<?php
					while ( have_posts() ) :
						the_post();
						?>
						<article class="latestPost excerpt">

							<?php $featured->get_post_thumbnail(); ?>

							<div class="wrapper">

								<?php

								$featured->get_post_meta();

								$featured->get_post_title();

								$featured->get_post_content();

								?>

							</div>

						</article>
						<?php
					endwhile;

					$featured->get_post_pagination();
					?>
				</section><!--#latest-posts-->

			</div>

			<?php
			}
			?>

		</div>

		<?php $featured->get_sidebar(); ?>

	</div><!--.container-->

</div>
